<?php
/**
 * Plugin Name: VidElite Pro
 * Plugin URI: http://videlite.com
 * Description: Revolutionary new popup technology that authority websites use.
 * Version: 1.0
 * Author: Video Sales Letter
 * Author URI: http://videlite.com
 * License: GPL2
 */

add_action( 'admin_menu', 'VidElitePro_page' );

function VidElitePro_page() {
  add_menu_page( 'VidElite Pro Menu', 'VidElitePro', 'manage_options', 'wpvidelitepro', 'VidElitePro_page_list', plugins_url('Videlitepro/logo.png', 'relative' ), 6  );
  add_submenu_page( 'wpvidelitepro', 'WP VidElite Pro Menu', 'Dashboard', 'manage_options', 'wpvidelitepro', 'VidElitePro_page_list' );
  add_submenu_page( 'wpvidelitepro', 'VidElite Pro SubMenu', 'Add New Campaign', 'manage_options', 'wpvidelitepro_create', 'VidElitePro_page_create' );

/*  add_submenu_page( 'wpvidelite', 'WP VidElite Menu', 'Campaigns', 'manage_options', 'wpvidelite', 'page_popup_admin_page' );
  add_submenu_page( 'wpvidelite', 'WP VidElite SubMenu', 'Add New Campaign', 'manage_options', 'WPVidElitePro_create', 'page_popup_admin_create_page' );*/
}

function VidElitePro_page_list(){
  //echo "<br><br><br><br><br>".plugin_dir_path( __FILE__ ) .'view/index.php';
   include plugin_dir_path( __FILE__ ) .'view/index.php';
}

function VidElitePro_page_create(){
  //echo "<br><br><br><br><br>".plugin_dir_path( __FILE__ ) .'view/create.php';
   include plugin_dir_path( __FILE__ ) .'view/create.php';

}



function VidElitePro_migrate() {

  $aws_character_counter_date = new DateTime(date('Y-m-d'));
  $aws_character_counter_date->modify('+1 month');

  if(VidElitePro_aws_character_counter_nextdate() == ""){
    VidElitePro_option_update(array('aws_character_counter_nextdate' => $aws_character_counter_date->format('Y-m-d'), 'aws_character_counter' => 0 ), 'videlitepro_aws_authentication2');
  }
  


  global $wpdb;
  $table_name = $wpdb->prefix . "wpvidelitepro";
  $charset_collate = $wpdb->get_charset_collate();
  $sql = "CREATE TABLE $table_name (
    id mediumint(9) NOT NULL AUTO_INCREMENT,
    campaign_name varchar(255) DEFAULT '' NOT NULL,
    text_data text DEFAULT '' NOT NULL,
    text_audio_gender varchar(255) DEFAULT '' NOT NULL,
    voice varchar(255) DEFAULT '' NOT NULL,
    pitch varchar(255) DEFAULT '' NOT NULL,
    rate varchar(255) DEFAULT '' NOT NULL,
    pagaari varchar(255) DEFAULT '' NOT NULL,
    campaign_time_log varchar(255) DEFAULT '' NOT NULL,
    video_link varchar(255) DEFAULT '' NOT NULL,
    youtube_link varchar(255) DEFAULT '' NOT NULL,
    text_color varchar(255) DEFAULT '' NOT NULL,
    text_font_style varchar(255) DEFAULT '' NOT NULL,
    text_size varchar(255) DEFAULT '' NOT NULL,
    BG_type varchar(255) DEFAULT '' NOT NULL,
    sourcetype varchar(255) DEFAULT '' NOT NULL,  
    BG_images text DEFAULT '' NOT NULL,
    wppost_type varchar(255) DEFAULT '' NOT NULL,
    wppost_ids varchar(255) DEFAULT '' NOT NULL,  
    wppost_id varchar(255) DEFAULT '' NOT NULL,   
    bgmusic_source varchar(255) DEFAULT '' NOT NULL,   
    bgmusic_source_library varchar(255) DEFAULT '' NOT NULL,   
    bgmusic_source_link varchar(255) DEFAULT '' NOT NULL,   
    data_advert text DEFAULT '' NOT NULL,


  
    
    PRIMARY KEY  (id)
  ) $charset_collate;";
  require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
  dbDelta( $sql );
}
register_activation_hook(__FILE__,'VidElitePro_migrate');


function VidElitePro_option_update($data, $option_file = null){
    if($option_file){
        update_option($option_file, $data);
    }else{
        update_option('videlitepro_user_data', $data);
    }
}

function VidElitePro_youtube_client_id(){
  $videlitepro_youtube_authentication = VidElitePro_option_get('videlitepro_youtube_authentication');
  return trim($videlitepro_youtube_authentication['youtube_client_id']);//5077d4ed60da38255c2c71421ddac36f
}

function VidElitePro_youtube_secret_key(){
  $videlitepro_youtube_authentication = VidElitePro_option_get('videlitepro_youtube_authentication');
  return trim($videlitepro_youtube_authentication['youtube_secret_key']);//5077d4ed60da38255c2c71421ddac36f
}

function VidElitepro_voice_source_type(){
  $videlitepro_aws_authentication = VidElitePro_option_get('VidElitePro_aws_authentication3');
  return trim($VidElitePro_aws_authentication['voice_source_type']);//5077d4ed60da38255c2c71421ddac36f
}

function VidElitePro_aws_api_key(){
  $VidElitePro_aws_authentication = VidElitePro_option_get('VidElitePro_aws_authentication');
  return trim($VidElitePro_aws_authentication['aws_api_key']);//5077d4ed60da38255c2c71421ddac36f
}

function VidElitePro_aws_secret_key(){
  $VidElitePro_aws_authentication = VidElitePro_option_get('VidElitePro_aws_authentication');
  return trim($VidElitePro_aws_authentication['aws_secret_key']);//5077d4ed60da38255c2c71421ddac36f
}

function VidElitePro_videlitepro_email(){
  $VidElitePro_aws_authentication = VidElitePro_option_get('VidElitePro_aws_authentication4');
  return trim($VidElitePro_aws_authentication['videlitepro_email']);//5077d4ed60da38255c2c71421ddac36f
}

function VidElitePro_videlitepro_password(){
  $VidElitePro_aws_authentication = VidElitePro_option_get('VidElitePro_aws_authentication4');
  return trim($VidElitePro_aws_authentication['videlitepro_password']);//5077d4ed60da38255c2c71421ddac36f
}



function VidElitePro_aws_character_counter_nextdate(){
  $VidElitePro_aws_authentication = VidElitePro_option_get('VidElitePro_aws_authentication2');
  return $VidElitePro_aws_authentication['aws_character_counter_nextdate'];

}

function VidElitePro_aws_character_count(){
  $VidElitePro_aws_authentication = VidElitePro_option_get('VidElitePro_aws_authentication2');

  if($VidElitePro_aws_authentication['aws_character_counter'] <= 0){
    return 0;
  } else {
    return $VidElitePro_aws_authentication['aws_character_counter'];
  }
   //5077d4ed60da38255c2c71421ddac36f
}

function VidElitePro_option_get($option_file = null){
    if ($option_file) {
        $data = get_option($option_file);
    } else {
        $data = get_option('VidElitePro_user_data');
    }

    return $data;
}

add_shortcode('VidElitePro_poster','VidElitePro_poster_function');




function VidElitePro_poster_function( $atts ) {
  //var_dump( $atts);

  /*if($atts['post_type'] == 'multiple'){

    global $wpdb;
    $table_name = $wpdb->prefix . "wpvidelitepro";
    $sql = "SELECT * FROM $table_name WHERE wppost_id = '".$atts['id']."' OR wppost_ids LIKE '%\"".$atts['id']."\"%';";
    $results = $wpdb->get_results( $sql, OBJECT );
    if (count($results) == 0){
      return "no popup";
    }
    

    $wpytlink = explode('||', $results[0]->youtube_link);
    $wpvvlink = explode('||', $results[0]->video_link);
    //var_dump($wpvvlink);
    $popup = $results[0];
    
    if($popup->youtube_link !=""){

      $data_advert = '
      
          <script src="https://www.youtube.com/iframe_api"></script>
          <script>
              var player, playing = false;
              function onYouTubeIframeAPIReady() {
                  player = new YT.Player("video_yt", {
                      height: "240",
                      width: "427",
                      videoId: "'.str_replace('https://www.youtube.com/watch?v=', '', $popup->youtube_link).'",
                      events: {
                          "onStateChange": onPlayerStateChange
                      }
                  });
              }
              var video_interval =null;
              function onPlayerStateChange(event) {

                  video_interval = setInterval(function(){
                    console.log(player.getCurrentTime());
                    
                      
                        jQuery.each( jQuery(".data_advert"), function(index) {
                          if(player.getCurrentTime() >= jQuery(this).attr("data-delay")){
                            jQuery(this).show();
                          }
                        });
                    if(event.data == 0) {
                        clearInterval(video_interval);
                    }
                    
                  }, 900);
                

                  
                  
              }


          </script>

      ';
      $data_advert_c = 1;

      if(!empty(json_decode($popup->data_advert, TRUE)) ){
      
        foreach(json_decode($popup->data_advert, TRUE) as $value){
          if($value['Advert_newtab_table']){  
            $Advert_newtab_table_s = '_blank';
          } else {
            $Advert_newtab_table_s = '_self';
          }
          if($value['Advert_position_table'] == "top"){
            $data_advert .='<div id="Advert_id_table_'.$data_advert_c.'" class="data_advert" data-delay="'.$value['Advert_delay_table'].'" style="position: absolute; top: 10px; left: calc(50% - 275px); z-index: 100; width: 550px; height: 100px; display: none;"><a onclick="jQuery(\'#Advert_id_table_'.$data_advert_c.'\').remove()" style="position: absolute;top: 10px;right: 10px;font-size: 25px;color: #fff;line-height: 0.6;z-index: 10; cursor: pointer; ">×</a><a href="'.$value['Advert_url_table'].'" target="'.$Advert_newtab_table_s.'"><div style="background-image: url('.$value['Advert_image_table'].'); width: 100%;height: 100%;"></div></a></div>';
          } else {
            $data_advert .='<div id="Advert_id_table_'.$data_advert_c.'" class="data_advert" data-delay="'.$value['Advert_delay_table'].'" style="position: absolute; bottom: 10px; left: calc(50% - 275px); z-index: 100; width: 550px; height: 100px; display: none;"><a onclick="jQuery(\'#Advert_id_table_'.$data_advert_c.'\').remove()" style="position: absolute;top: 10px;right: 10px;font-size: 25px;color: #fff;line-height: 0.6;z-index: 10; cursor: pointer; ">×</a><a href="'.$value['Advert_url_table'].'" target="'.$Advert_newtab_table_s.'"><div style="background-image: url('.$value['Advert_image_table'].'); width: 100%;height: 100%;"></div></a></div>';
          }
          $data_advert_c++;
        } 

      } 
      


      $html = '
        <style>

          @media (min-width: 790px) {

            .VidElitePro_player{
              width: 427px !important;
              height: 240px !important;
            }

            @media (max-width: 320px) {

              .VidElitePro_player{
                width: 256px !important;
                height: 144px !important;
              }

            }

          }

        </style>
        <div class="VidElitePro_player" style=" position: relative;">
            <div id="video_yt" style="width: 100%; height: 100%;"></div>
        
        '.$data_advert.'

      </div>';

      return $html;

    } else {
      $data_advert = '
        <script>
          var video = document.getElementById("VidElitePro_video");
          jQuery(document).ready(function() {
            
            var video_interval =null;
            video.onplaying = function() {
              video_interval = setInterval(function(){
                console.log(video.currentTime);
                
                  
                    jQuery.each( jQuery(".data_advert"), function(index) {
                      if(video.currentTime >= jQuery(this).attr("data-delay")){
                        jQuery(this).show();
                      }
                    });
                
              }, 900);
            };

            video.onended = function() {
                clearInterval(video_interval);
            };
            
          });

        </script>

      ';
      $data_advert_c = 1;
      if(!empty(json_decode($popup->data_advert, TRUE)) ){
        //var_dump(json_decode($popup->data_advert, TRUE));
        foreach(json_decode($popup->data_advert, TRUE) as $value){
          if($value['Advert_newtab_table']){  
            $Advert_newtab_table_s = '_blank';
          } else {
            $Advert_newtab_table_s = '_self';
          }
          if($value['Advert_position_table'] == "top"){
            $data_advert .='<div id="Advert_id_table_'.$data_advert_c.'" class="data_advert" data-delay="'.$value['Advert_delay_table'].'" style="position: absolute; top: 10px; left: calc(50% - 275px); z-index: 100; width: 550px; height: 100px; display: none;"><a onclick="jQuery(\'#Advert_id_table_'.$data_advert_c.'\').remove()" style="position: absolute;top: 10px;right: 10px;font-size: 25px;color: #fff;line-height: 0.6;z-index: 10; cursor: pointer; ">×</a><a href="'.$value['Advert_url_table'].'" target="'.$Advert_newtab_table_s.'"><div style="background-image: url('.$value['Advert_image_table'].'); width: 100%;height: 100%;"></div></a></div>';
          } else {
            $data_advert .='<div id="Advert_id_table_'.$data_advert_c.'" class="data_advert" data-delay="'.$value['Advert_delay_table'].'" style="position: absolute; bottom: 10px; left: calc(50% - 275px); z-index: 100; width: 550px; height: 100px; display: none;"><a onclick="jQuery(\'#Advert_id_table_'.$data_advert_c.'\').remove()" style="position: absolute;top: 10px;right: 10px;font-size: 25px;color: #fff;line-height: 0.6;z-index: 10; cursor: pointer; ">×</a><a href="'.$value['Advert_url_table'].'" target="'.$Advert_newtab_table_s.'"><div style="background-image: url('.$value['Advert_image_table'].'); width: 100%;height: 100%;"></div></a></div>';
          }
          $data_advert_c++;
        } 

      } 
      $html = ' 
        <style>

          @media (min-width: 790px) {

            .VidElitePro_player{
              width: 427px !important;
              height: 240px !important;
            }

            @media (max-width: 320px) {

              .VidElitePro_player{
                width: 256px !important;
                height: 144px !important;
              }

            }

          }

        </style>
        <div  class="VidElitePro_player" style=" position: relative;">
        <video id="VidElitePro_video" width="100%" height="100%" controls><source src="'.$popup->video_link.'" type="video/mp4"> Your browser does not support the video tag. </video>

        '.$data_advert.'

        </div>
      ';
      return $html;
    }

  } else {*/

    //var_dump( $atts);
    global $wpdb;
    $table_name = $wpdb->prefix . "wpvidelitepro";
    $sql = "SELECT * FROM $table_name WHERE wppost_id = '".$atts['id']."' OR wppost_ids LIKE '%\"".$atts['id']."\"%';";
    $results = $wpdb->get_results( $sql, OBJECT );
    if (count($results) == 0){
      return "no popup";
    }
    $popup = $results[0];
    $data_advert_c = 1;
    if($popup->youtube_link !=""){
      $data_advert = '
      
      <script src="https://www.youtube.com/iframe_api"></script>
      <script>
          var player, playing = false;
          function onYouTubeIframeAPIReady() {
              player = new YT.Player("video_yt", {
                  height: "240",
                  width: "427",
                  videoId: "'.str_replace('https://www.youtube.com/watch?v=', '', $popup->youtube_link).'",
                  events: {
                      "onStateChange": onPlayerStateChange
                  }
              });
          }
          var video_interval =null;
          function onPlayerStateChange(event) {

              video_interval = setInterval(function(){
                console.log(player.getCurrentTime());
                
                  
                    jQuery.each( jQuery(".data_advert"), function(index) {
                      if(player.getCurrentTime() >= jQuery(this).attr("data-delay")){
                        jQuery(this).show();
                      }
                    });
                if(event.data == 0) {
                    clearInterval(video_interval);
                }
                
              }, 900);
            

              
              
          }


      </script>

      ';
      
      if($popup->data_advert != "" ){
        
        foreach(json_decode($popup->data_advert, TRUE) as $value){
          if($value['Advert_newtab_table']){  
            $Advert_newtab_table_s = '_blank';
          } else {
            $Advert_newtab_table_s = '_self';
          }
          if($value['Advert_position_table'] == "top"){
            $data_advert .='<div id="Advert_id_table_'.$data_advert_c.'" class="data_advert" data-delay="'.$value['Advert_delay_table'].'" style="position: absolute; top: 10px; left: calc(50% - 275px); z-index: 100; width: 550px; height: 100px; display: none;"><a onclick="jQuery(\'#Advert_id_table_'.$data_advert_c.'\').remove()" style="position: absolute;top: 10px;right: 10px;font-size: 25px;color: #fff;line-height: 0.6;z-index: 10; cursor: pointer; ">×</a><a href="'.$value['Advert_url_table'].'" target="'.$Advert_newtab_table_s.'"><div style="background-image: url('.$value['Advert_image_table'].'); width: 100%;height: 100%;"></div></a></div>';
          } else {
            $data_advert .='<div id="Advert_id_table_'.$data_advert_c.'" class="data_advert" data-delay="'.$value['Advert_delay_table'].'" style="position: absolute; bottom: 10px; left: calc(50% - 275px); z-index: 100; width: 550px; height: 100px; display: none;"><a onclick="jQuery(\'#Advert_id_table_'.$data_advert_c.'\').remove()" style="position: absolute;top: 10px;right: 10px;font-size: 25px;color: #fff;line-height: 0.6;z-index: 10; cursor: pointer; ">×</a><a href="'.$value['Advert_url_table'].'" target="'.$Advert_newtab_table_s.'"><div style="background-image: url('.$value['Advert_image_table'].'); width: 100%;height: 100%;"></div></a></div>';
          }
          $data_advert_c++;
        } 

      } 
      


      $html = '
      <style>

      @media (min-width: 790px) {

        .videlite_player{
          width: 427px !important;
          height: 240px !important;
        }

        @media (max-width: 320px) {

          .videlite_player{
            width: 256px !important;
            height: 144px !important;
          }

        }

      }

    </style>
      <div class="videlite_player" style=" position: relative;">
          <div id="video_yt" style="width: 100%; height: 100%;"></div>
      
      '.$data_advert.'

      </div>';
      return $html;
    } else {

      $data_advert = '
      <script>
        var video = document.getElementById("videlite_video");
        jQuery(document).ready(function() {
          
          var video_interval =null;
          video.onplaying = function() {
            video_interval = setInterval(function(){
              console.log(video.currentTime);
              
                
                  jQuery.each( jQuery(".data_advert"), function(index) {
                    if(video.currentTime >= jQuery(this).attr("data-delay")){
                      jQuery(this).show();
                    }
                  });
              
            }, 900);
          };

          video.onended = function() {
              clearInterval(video_interval);
          };
          
        });

      </script>

      ';
      
      if($popup->data_advert != ""){
        //var_dump(json_decode($popup->data_advert, TRUE));
        foreach(json_decode($popup->data_advert, TRUE) as $value){
          if($value['Advert_newtab_table']){  
            $Advert_newtab_table_s = '_blank';
          } else {
            $Advert_newtab_table_s = '_self';
          }
          if($value['Advert_position_table'] == "top"){
            $data_advert .='<div id="Advert_id_table_'.$data_advert_c.'" class="data_advert" data-delay="'.$value['Advert_delay_table'].'" style="position: absolute; top: 10px; left: calc(50% - 275px); z-index: 100; width: 550px; height: 100px; display: none;"><a onclick="jQuery(\'#Advert_id_table_'.$data_advert_c.'\').remove()" style="position: absolute;top: 10px;right: 10px;font-size: 25px;color: #fff;line-height: 0.6;z-index: 10; cursor: pointer; ">×</a><a href="'.$value['Advert_url_table'].'" target="'.$Advert_newtab_table_s.'"><div style="background-image: url('.$value['Advert_image_table'].'); width: 100%;height: 100%;"></div></a></div>';
          } else {
            $data_advert .='<div id="Advert_id_table_'.$data_advert_c.'" class="data_advert" data-delay="'.$value['Advert_delay_table'].'" style="position: absolute; bottom: 10px; left: calc(50% - 275px); z-index: 100; width: 550px; height: 100px; display: none;"><a onclick="jQuery(\'#Advert_id_table_'.$data_advert_c.'\').remove()" style="position: absolute;top: 10px;right: 10px;font-size: 25px;color: #fff;line-height: 0.6;z-index: 10; cursor: pointer; ">×</a><a href="'.$value['Advert_url_table'].'" target="'.$Advert_newtab_table_s.'"><div style="background-image: url('.$value['Advert_image_table'].'); width: 100%;height: 100%;"></div></a></div>';
          }
          $data_advert_c++;
        } 

      } 
      $html = ' 
      <style>

      @media (min-width: 790px) {

        .videlite_player{
          width: 427px !important;
          height: 240px !important;
        }

        @media (max-width: 320px) {

          .videlite_player{
            width: 256px !important;
            height: 144px !important;
          }

        }

      }

    </style>
      <div  class="videlite_player" style=" position: relative;">
      <video id="videlite_video" width="100%" height="100%" controls><source src="'.$popup->video_link.'" type="video/mp4"> Your browser does not support the video tag. </video>

      '.$data_advert.'

      </div>
      ';
      return $html;
    }

  //}
 

}

function VidElitePro_media_upload_scripts($pagenow)
{
  wp_enqueue_media();
}

add_action('admin_enqueue_scripts', 'VidElitePro_media_upload_scripts');

function mime_type_tab33($tabs) {
        /* name of custom tab */
        $new_tab = array('mimeframe' => __('Search Image', 'mimetype'));
        return array_merge($tabs, $new_tab);
}
add_filter('media_upload_tabs', 'mime_type_tab33');
function create_mime_type_page33() {
        media_upload_header();
        wp_enqueue_style( 'media' );
        /* add custom code to display bellow this line */
        /* display mime types */
        $mimes = get_allowed_mime_types();
        $types = array();
        ?>
        <style scope>
            html, body { background: #fff; }

            ::-webkit-input-placeholder { color: #aaa !important; }
            ::-moz-placeholder { color: #aaa !important; }
            :-ms-input-placeholder { color: #aaa !important; }
            [placeholder] { text-overflow: ellipsis; }

            .flex-images { overflow: hidden; }
            .flex-images .item { float: left; margin: 4px; background: #f3f3f3; box-sizing: content-box; overflow: hidden; position: relative; }
            .flex-images .item > img { display: block; width: auto; height: 100%; }

            .flex-images .download {
                    opacity: 0; transition: opacity .3s; position: absolute; top: 0; right: 0; bottom: 0; left: 0;
                    cursor: pointer; background: rgba(0,0,0,.65); color: #eee;
                    text-align: center; font-size: 14px; line-height: 1.5;
            }
            .flex-images .item:hover .download, .flex-images .item.uploading .download { opacity: 1; }
            .flex-images .download img { position: absolute; top: 0; left: 0; right: 0; bottom: 0; margin: auto; height: 32px; opacity: .7; }
            .flex-images .download div { position: absolute; left: 0; right: 0; bottom: 15px; padding: 0 5px; }
            .flex-images .download a { color: #eee; }

            #pixabay_settings_icon { opacity: .65; transition: .3s; box-shadow: none; }
            #pixabay_settings_icon:hover { opacity: 1; }
        </style>
        <div style="padding:10px 15px 25px">
            <form id="pixabay_images_form" style="margin:0">
                <div style="line-height:1.5;margin:1em 0;max-width:500px;position:relative">
                    <input id="q" type="text" value="" style="width:100%;padding:7px 32px 7px 9px" autofocus placeholder="<?= htmlspecialchars(__('Search for "red roses", "flowers -red", "city OR town", etc.', 'pixabay_images')); ?>">
                    <button type="submit" style="background:#fff;border:0;cursor:pointer;position:absolute;right:5px;top:10px;outline:0" title="<?= _e('Search', 'pixabay_images'); ?>"><img src="<?= plugin_dir_url(__FILE__).'img/search.png' ?>"></button>
                </div>
                <div style="margin:1em 0;padding-left:2px;line-height:2">
                    <label style="margin-right:15px;white-space:nowrap"><input type="checkbox" id="filter_photos"><?= _e('Photos', 'pixabay_images'); ?></label>
                    <label style="margin-right:20px;white-space:nowrap"><input type="checkbox" id="filter_cliparts"><?= _e('Cliparts', 'pixabay_images'); ?></label>
                    <label style="margin-right:15px;white-space:nowrap"><input type="checkbox" id="filter_horizontal"><?= _e('Horizontal', 'pixabay_images'); ?></label>
                    <label style="margin-right:25px;white-space:nowrap"><input type="checkbox" id="filter_vertical"><?= _e('Vertical', 'pixabay_images'); ?></label>
                    
                </div>
            </form>
            <div id="pixabay_results" class="flex-images" style="margin-top:20px;padding-top:25px;border-top:1px solid #ddd"></div>
        </div>
        <script>
            // flexImages
            !function(t){function e(t,a,r,n){function o(t){r.maxRows&&d>r.maxRows||r.truncate&&t&&d>1?w[g][0].style.display="none":(w[g][4]&&(w[g][3].attr("src",w[g][4]),w[g][4]=""),w[g][0].style.width=l+"px",w[g][0].style.height=u+"px",w[g][0].style.display="block")}var g,l,s=1,d=1,f=t.width()-2,w=[],c=0,u=r.rowHeight;for(f||(f=t.width()-2),i=0;i<a.length;i++)if(w.push(a[i]),c+=a[i][2]+r.margin,c>=f){var m=w.length*r.margin;for(s=(f-m)/(c-m),u=Math.ceil(r.rowHeight*s),exact_w=0,l,g=0;g<w.length;g++)l=Math.ceil(w[g][2]*s),exact_w+=l+r.margin,exact_w>f&&(l-=exact_w-f),o();w=[],c=0,d++}for(g=0;g<w.length;g++)l=Math.floor(w[g][2]*s),h=Math.floor(r.rowHeight*s),o(!0);n||f==t.width()||e(t,a,r,!0)}t.fn.flexImages=function(a){var i=t.extend({container:".item",object:"img",rowHeight:180,maxRows:0,truncate:0},a);return this.each(function(){var a=t(this),r=t(a).find(i.container),n=[],o=(new Date).getTime(),h=window.getComputedStyle?getComputedStyle(r[0],null):r[0].currentStyle;for(i.margin=(parseInt(h.marginLeft)||0)+(parseInt(h.marginRight)||0)+(Math.round(parseFloat(h.borderLeftWidth))||0)+(Math.round(parseFloat(h.borderRightWidth))||0),j=0;j<r.length;j++){var g=r[j],l=parseInt(g.getAttribute("data-w")),s=l*(i.rowHeight/parseInt(g.getAttribute("data-h"))),d=t(g).find(i.object);n.push([g,l,s,d,d.data("src")])}e(a,n,i),t(window).off("resize.flexImages"+a.data("flex-t")),t(window).on("resize.flexImages"+o,function(){e(a,n,i)}),a.data("flex-t",o)})}}(jQuery);
            function getCookie(k){return(document.cookie.match('(^|; )'+k+'=([^;]*)')||0)[2]}
            function setCookie(n,v,d,s){var o=new Date;o.setTime(o.getTime()+864e5*d+1000*(s||0)),document.cookie=n+"="+v+";path=/;expires="+o.toGMTString()}
            function escapejs(s){return s.replace(/&/g,'&amp;').replace(/</g,'&lt;').replace(/>/g,'&gt;').replace(/"/g,'&quot;').replace(/'/g,"\\'");}

            // set checkbox filters
            jQuery("input[id^='filter_']").each(function(){
                if (getCookie('px_'+this.id) != '0') this.checked = true;
                jQuery(this).change(function(){ setCookie('px_'+this.id, this.checked ? 1 : 0, 365); });
            });

            var post_id = <?=absint($_REQUEST['post_id']) ?>,
                lang = '<?= $pixabay_images_settings['language']?$pixabay_images_settings['language']:substr(get_locale(), 0, 2) ?>',
                per_page = 30, form = jQuery('#pixabay_images_form'), hits, q, image_type, orientation;

            form.submit(function(e){
                e.preventDefault();
                q = jQuery('#q', form).val();
                if (jQuery('#filter_photos', form).is(':checked') && !jQuery('#filter_cliparts', form).is(':checked')) image_type = 'photo';
                else if (!jQuery('#filter_photos', form).is(':checked') && jQuery('#filter_cliparts', form).is(':checked')) image_type = 'clipart';
                else image_type = 'all';
                if (jQuery('#filter_horizontal', form).is(':checked') && !jQuery('#filter_vertical', form).is(':checked')) orientation = 'horizontal';
                else if (!jQuery('#filter_horizontal', form).is(':checked') && jQuery('#filter_vertical', form).is(':checked')) orientation = 'vertical';
                else orientation = 'all';
                jQuery('#pixabay_results').html('');
                call_api(q, 1);
            });

            function call_api(q, p){
                var xhr = new XMLHttpRequest();
                xhr.open('GET', 'https://api.unsplash.com/search/photos/?client_id=46811a8d4dcc36e21a23cd99f442477d63afa03094527b82a56678d6549faf9d&per_page=1000&query='+encodeURIComponent(q));
                xhr.onreadystatechange = function(){
                    if (this.status == 200 && this.readyState == 4) {
                        var data = JSON.parse(this.responseText);

                        console.log(data);
                        if (!(data.total > 0)) {
                            jQuery('#pixabay_results').html('<div style="color:#bbb;font-size:24px;text-align:center;margin:40px 0">—— <?= _e('No matches', 'pixabay_images') ?> ——</div>');
                            return false;
                        }
                        render_px_results(q, p, data);
                    }
                };
                xhr.send();
                return false;
            }

            function render_px_results(q, p, data){
                hits = data.results; // store for upload click
                pages = Math.ceil(data.total/per_page);
                var s = '';
                jQuery.each(data.results, function(k, v) {
                    s += '<div class="item upload" data-url="'+v.urls.small+'" ><img src="'+v.urls.small+'"><div class="download"><img src="<?= plugin_dir_url(__FILE__).'img/download.svg' ?>"></div></div>';
                });
                jQuery('#pixabay_results').html(jQuery('#pixabay_results').html()+s);
                jQuery('#load_animation').remove();
                if (p < pages) {
                    jQuery('#pixabay_results').after('<div id="load_animation" style="clear:both;padding:15px 0 0;text-align:center"><img style="width:60px" src="<?= plugin_dir_url(__FILE__).'img/loading.svg' ?>"></div>');
                    jQuery(window).scroll(function() {
                       if(jQuery(window).scrollTop() + jQuery(window).height() > jQuery(document).height() - 400) {
                           jQuery(window).off('scroll');
                           call_api(q, p+1);
                       }
                    });
                }

                jQuery('.flex-images').flexImages({rowHeight: 260});
            }

            jQuery(document).on('click', '.upload', function() {
                jQuery(document).off('click', '.upload');
                // loading animation
                jQuery(this).addClass('uploading').find('.download img').replaceWith('<img src="<?= plugin_dir_url(__FILE__).'img/loading.svg' ?>" style="height:80px !important">');
                window.parent.jQuery(".media-modal-icon").click();
                        window.parent.jQuery("#loader").show();
                        var BG_image_select_id = window.parent.BG_image_selected;
                        console.log(BG_image_select_id);

                        var obj =  [];
                        obj.push({name: 'image_link' , value: jQuery(this).data('url') }); 
                        obj.push({name: 'key' , value: BG_image_select_id.replace('BG_image_selected_img_', '_') }); 
                        obj.push({name: 'domain' , value: '<?php echo $_SERVER['SERVER_NAME']; ?>' }); 
                        obj.push({name: 'time' , value: window.parent.campaign_time_log });
                        
                        jQuery.ajax({
                            url: "<?php echo plugins_url('Videlitepro/image_uploader2.php', 'relative' );?>",
                            type: "post",
                            data:  obj,
                            cache: false,
                            crossDomain : true,
                          
                            success: function(data){
                                var res = jQuery.parseJSON(data);
                                if(res.status == true){
                                    if(BG_image_select_id == "upload_image_button"){
                                        window.parent.jQuery('#Advert_banner' ).css( 'background-image', 'url(<?php echo plugins_url('Videlitepro', 'relative' );?>/'+res.uploaded_image+')' );
                                        window.parent.jQuery('#Advert_image' ).val( '<?php echo plugins_url('Videlitepro', 'relative' );?>/'+res.uploaded_image );
                                    } else {
                                        window.parent.jQuery('#'+BG_image_select_id+'_image').attr('src', '<?php echo plugins_url('Videlitepro', 'relative' );?>/'+res.uploaded_image);
                                        window.parent.jQuery('#'+BG_image_select_id+'_input').val('<?php echo plugins_url('Videlitepro', 'relative' );?>/'+res.uploaded_image);
                                    }
                                    window.parent.jQuery("#loader").hide();
                                } else {
                                    alert(res.message);
                                }
                            },
                            error: function(XMLHttpRequest, textStatus, errorThrown) {
                               
                                console.log(XMLHttpRequest);
                                console.log(textStatus);
                                console.log(errorThrown);
                            }
                        });

                        
                        

                        

                       
                   
                    
                      
            });
        </script>
    <?php
       /* end custom code */
}
function insert_mime_type_iframe33() {
    return wp_iframe( 'create_mime_type_page33');
}
add_action('media_upload_mimeframe', 'insert_mime_type_iframe33');
        add_action( 'admin_head', 'mime_frame_css33' );
        function mime_frame_css33() {
                echo '<style type="text/css">
                .type-outer{margin:20px;}
                .type-outer hr{
                        border:solid #ccc;
                        border-width:0px 0px 1px 0px;
                        margin:0px 0px 20px 0px;
                        }
                .mime-types li{
                        font-size:10px;
                        float:left;
                        width:24%;
                        padding:1px;
                        }
                        </style>';
        }




//////////////////////////////////////////////////////

function VidElitePro_poster_addshortcode($content){
  global $wpdb;
  $table_name = $wpdb->prefix . "wpvidelitepro";
  $sql = "SELECT * FROM $table_name WHERE wppost_id=".get_the_ID()."' OR wppost_ids LIKE '%\"".get_the_ID()."\"%' ORDER BY `wppost_type` ASC;";
  $results = $wpdb->get_results( $sql, OBJECT );
  if (count($results) > 0){

  

    $popup = $results[0];

    return '<center>[VidElitePro_poster id="'.$popup->id.'"]</center>'. $content;
  } else {
    return $content;
  }
}



//add_action('save_post', 'VidElitePro_poster_addshortcode');

add_filter('the_content','VidElitePro_poster_addshortcode');



