(function ($) {

    $(document).ready(function () {

        // key stuff : get parent, original object
        var original = window.parent.document;

        // for debug : trace every event
        var originalTrigger = wp.media.view.MediaFrame.Post.prototype.trigger;

        wp.media.view.MediaFrame.Post.prototype.trigger = function () {
            originalTrigger.apply(this, Array.prototype.slice.call(arguments));
            // console.log( 'Event Triggered:', arguments );
        };

        // ui tweaks : get parent, show toolbar, hide secondary toolbar
        $('.media-modal-content .media-frame', original).removeClass('hide-toolbar');
        $('.media-toolbar-primary', original).html('<a class="button media-button button-primary button-large media-button-insert" href="#" disabled="disabled">Insert</a>');
        $('.media-toolbar-secondary', original).hide();

        // get vars
        var insertButton = $('.media-toolbar .media-button-insert', original);
        var selectedItems = [];
        var selectedItem;

        // toggle selected on attachment item
        $(document).on('click', '.attachment', function (event) {

            $('.youzign .attachment').removeClass('selected details');

            $(this).addClass('selected details');
            selectedItem = $(this).data('id');

            $(insertButton).removeAttr('disabled');
        });

        // insert into post
        $(insertButton).on('click', function (event) {

            event.preventDefault();

            if ($(this).attr('disabled') != 'disabled') {
                if (selectedItem > 0) {
                    //var output = '';

                    var item = $('.media-frame.youzign').find('li[data-id="' + selectedItem + '"]'),
                        url = $(item).data('image-url'),
                        thumbnail_url = $(item).data('image-thumbnail-url'),
                        width = $(item).data('image-width'),
                        height = $(item).data('image-height');


                    //output += '<img src="' + thumbnail_url + '" alt="' + title + '" width="' + width + '" height="' + height + '" class="youzign-image" />';

                    // send to editor
                    $(original).find('#image-preview').attr('src', thumbnail_url);
                    $(original).find('#image_attachment_id').val(url);
                    

                    // close frame
                    original.defaultView.wp.media.frame.close();

                    // reset frame
                    $('.media-frame.youzign').find('li').removeClass('selected details');

                    $(insertButton).attr('disabled', true);

                    return false;
                }
            }
        });


    });

})(jQuery);