<?php

/**
 * upload videos with php on youtube
 * @author Deepak S.P at Codeniters.com
*/

require_once 'google-api/src/Google/autoload.php';


/*
 * You can acquire an OAuth 2.0 client ID and client secret from the
 * Google Developers Console <https://console.developers.google.com/>
 * For more information about using OAuth 2.0 to access Google APIs, please see:
 * <https://developers.google.com/youtube/v3/guides/authentication>
 * Please ensure that you have enabled the YouTube Data API for your project.
 */
$sstatus = null;
if(isset($_GET['client_id']) ){
	$_SESSION['video_link'] = $_GET['video_link'];
	$_SESSION['campaign_name'] = $_GET['campaign_name'];
	$_SESSION['campaign_id'] = $_GET['campaign_id'];

	$_SESSION['client_id'] = urldecode($_GET['client_id']);
	$_SESSION['secret_key'] = urldecode($_GET['secret_key']);

	$campaign_id = isset($_SESSION['campaign_id']) ? $_SESSION['campaign_id'] : $_GET['campaign_id'];
} else {
	//session_destroy();
	$campaign_id = isset($_SESSION['campaign_id']) ? $_SESSION['campaign_id'] : $_GET['campaign_id'];
}
$OAUTH2_CLIENT_ID = $_SESSION['client_id'];
$OAUTH2_CLIENT_SECRET = $_SESSION['secret_key'];

$client = new Google_Client();
$client->setClientId($OAUTH2_CLIENT_ID);
$client->setClientSecret($OAUTH2_CLIENT_SECRET);
$client->setScopes('https://www.googleapis.com/auth/youtube');
$redirect = filter_var('http://' . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'], FILTER_SANITIZE_URL);
$htmlBody='';
$client->setRedirectUri($redirect);
// Define an object that will be used to make all API requests.
$youtube = new Google_Service_YouTube($client);
if (isset($_GET['code'])) {
	if (strval($_SESSION['state']) !== strval($_GET['state'])) {
		var_dump($_SESSION['state']);
		var_dump($_GET['state']);
	    die('The session state did not match.');
	}
	//var_dump($_GET['code']);
	$client->authenticate($_GET['code']);
	$_SESSION['token'] = $client->getAccessToken();
	header('Location: ' . $redirect.'?video_link='.$_SESSION['video_link'].'&campaign_name='.$_SESSION['campaign_name'].'&client_id='.urlencode($OAUTH2_CLIENT_ID).'&secret_key='.urlencode($OAUTH2_CLIENT_SECRET).'&campaign_id='.$_SESSION['campaign_id']);
}
if (isset($_SESSION['token'])) {
	$client->setAccessToken($_SESSION['token']);
}
// Check to ensure that the access token was successfully acquired.
if ($client->getAccessToken()) {
	try{
		// REPLACE this value with the path to the file you are uploading.
		$videoPath = $videoName;
		// Create a snippet with title, description, tags and category ID
		// Create an asset resource and set its snippet metadata and type.
		// This example sets the video's title, description, keyword tags, and
		// video category.
		$snippet = new Google_Service_YouTube_VideoSnippet();
		$snippet->setTitle($videoTitle);
		$snippet->setDescription($videoInfo);
		$snippet->setTags(array("tag1", "tag2"));
		// Numeric video category. See
		// https://developers.google.com/youtube/v3/docs/videoCategories/list
		$snippet->setCategoryId("22");
		// Set the video's status to "public". Valid statuses are "public",
		// "private" and "unlisted".
		$status = new Google_Service_YouTube_VideoStatus();
		$status->privacyStatus = "public";
		// Associate the snippet and status objects with a new video resource.
		$video = new Google_Service_YouTube_Video();
		$video->setSnippet($snippet);
		$video->setStatus($status);
		// Specify the size of each chunk of data, in bytes. Set a higher value for
		// reliable connection as fewer chunks lead to faster uploads. Set a lower
		// value for better recovery on less reliable connections.
		$chunkSizeBytes = 1 * 1024 * 1024;
		// Setting the defer flag to true tells the client to return a request which can be called
		// with ->execute(); instead of making the API call immediately.
		$client->setDefer(true);
		// Create a request for the API's videos.insert method to create and upload the video.
		$insertRequest = $youtube->videos->insert("status,snippet", $video);
		// Create a MediaFileUpload object for resumable uploads.
		$media = new Google_Http_MediaFileUpload(
		$client,
		$insertRequest,
		'video/*',
		null,
		true,
		$chunkSizeBytes
		);
		$media->setFileSize(filesize($videoPath));
		// Read the media file and upload it chunk by chunk.
		$status = false;
		$handle = fopen($videoPath, "rb");
		while (!$status && !feof($handle)) {
			$chunk = fread($handle, $chunkSizeBytes);
			$status = $media->nextChunk($chunk);
		}

		$sstatus = $status;
		fclose($handle);
		// If you want to make other calls after the file upload, set setDefer back to false
		$client->setDefer(false);
		//echo '<pre>';

		//var_dump($status);
		//echo '</pre>';
		$htmlBody .= "<h3>Video Uploaded</h3><ul>";
		$htmlBody .= sprintf('<li>%s (<a href="https://www.youtube.com/watch?v=%s" target="_blank">Watch it here</a>)</li>',
		$status['snippet']['title'],
		$status['id']);
		$htmlBody .= '</ul>';

		$youtube_link = $status['id'];
		


		if ($youtube_link != "" && $campaign_id != "") {
		
			
			include '../ajax.php';
		}

		echo "<script>\n";
	   
	    echo "window.opener.location.reload();";
	  
	    echo "</script>\n";
	  
	} catch (Google_ServiceException $e) {
		session_destroy();
		$htmlBody .= sprintf('<p>A service error occurred: <code>%s</code></p>', htmlspecialchars($e->getMessage()));
	} catch (Google_Exception $e) {
		session_destroy();

		$htmlBody .= sprintf('<p>An client error occurred: <code>%s</code></p>', htmlspecialchars($e->getMessage()));
		echo "<script>\n";
	   
	    echo "location.reload();";
	  
	    echo "</script>\n";
	}
	$_SESSION['token'] = $client->getAccessToken();
} else {

	// If the user hasn't authorized the app, initiate the OAuth flow
	$state = mt_rand();
	$client->setState($state);
	$_SESSION['state'] = $state;
	$authUrl = $client->createAuthUrl();




	$htmlBody = '
	<h3>Authorization Required</h3>
	<p>You need to <a href="'.$authUrl.'">authorize access</a> before proceeding.<p>';
}
?>
<!doctype html>
<html>
<head>
<title>Video Uploaded</title>
</head>
<body>
<?=$htmlBody?>
</body>
</html>

<script type="text/javascript">
	window.onunload = refreshParent;
    function refreshParent() {
        window.opener.location.reload();
    }
</script>